Show / Hide Table of Contents

# Class BattleChara

This class represents the battle characters.

##### Inheritance

System.Object
GameObject
Character
BattleChara
PlayerCharacter
BattleNpc

##### Implements

System.IEquatable<GameObject>

##### Inherited Members

Character.CurrentHp
Character.MaxHp
Character.CurrentMp
Character.MaxMp
Character.CurrentGp
Character.MaxGp
Character.CurrentCp
Character.MaxCp
Character.ClassJob
Character.Level
Character.Customize
Character.CompanyTag
Character.TargetObjectId
Character.NameId
Character.StatusFlags
GameObject.InvalidGameObjectId
GameObject.Address
GameObject.IsValid(GameObject)
GameObject.IsValid()
GameObject.IEquatable<GameObject>.Equals(GameObject)
GameObject.Equals(Object)
GameObject.GetHashCode()
GameObject.Name
GameObject.ObjectId
GameObject.DataId
GameObject.OwnerId
GameObject.ObjectKind
GameObject.SubKind
GameObject.YalmDistanceX
GameObject.YalmDistanceZ
GameObject.Position
GameObject.Rotation
GameObject.HitboxRadius
GameObject.TargetObject
GameObject.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.ClientState.Objects.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class BattleChara : Character, IEquatable<GameObject>

### Properties

| Improve this Doc View Source

#### CastActionId

Gets the spell action ID of the spell being cast by the actor.

##### Declaration

    public uint CastActionId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CastActionType

Gets the spell action type of the spell being cast by the actor.

##### Declaration

    public byte CastActionType { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CastTargetObjectId

Gets the object ID of the target currently being cast at by the chara.

##### Declaration

    public uint CastTargetObjectId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentCastTime

Gets the current casting time of the spell being cast by the chara.

##### Declaration

    public float CurrentCastTime { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### IsCasting

Gets a value indicating whether the chara is currently casting.

##### Declaration

    public bool IsCasting { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsCastInterruptible

Gets a value indicating whether the cast is interruptible.

##### Declaration

    public bool IsCastInterruptible { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### StatusList

Gets the current status effects.

##### Declaration

    public StatusList StatusList { get; }

##### Property Value

Type | Description
--- | ---
StatusList |

| Improve this Doc View Source

#### Struct

Gets the underlying structure.

##### Declaration

    protected BattleChara*Struct { get; }

##### Property Value

Type | Description
--- | ---
BattleChara* |

| Improve this Doc View Source

#### TotalCastTime

Gets the total casting time of the spell being cast by the chara.

##### Declaration

    public float TotalCastTime { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

### Implements

System.IEquatable<T>